#include <bits/stdc++.h>
using namespace std;
int main () {
	long long n,a ;
	cin >> n >> a ;
	if ( n/3 < a) {
		cout << -1 ;
		return 0 ;
	}
	if ( n & 1 ) {
		if ( a == 2 ) {
			cout << -1 ;
			return 0 ;
		}
		n--;
		cout << 1 << ' ' << a << endl;
		cout << 0 << ' ' << a << endl;
		n -= 2 * a ;
		if ( n + a < 2 * a ) {
			cout << n-a << ' ' << a ;
			return 0 ; 
		}
		else {
			cout << n/2 - 1 << ' ' << n/2 + 1 ;
			return 0 ;
		}
	}
	else {
		cout << 0 << ' ' << a << endl;
		cout << 0 << ' ' << a << endl;
		n -= 2 * a ;
		if ( n + a < 2 * a ) {
			cout << n-a << ' ' << a ;
			return 0 ; 
		}
		else {
			cout << n/2 - 1 << ' ' << n/2 + 1 ;
			return 0 ;
		}
	}
}